SortList (Ant Contrib)
Keywords: net.sf.antcontrib.property.SortList class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.property
Class SortList

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.property.AbstractPropertySetterTask
                  net.sf.antcontrib.property.SortList

    public class SortList

extends AbstractPropertySetterTask

Place class description here.

Since:
Author:
  Matthew Inger,

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`SortList()`

Method Summary
`void` | `execute()`
`void` | `setCasesensitive(boolean casesenstive)`
`void` | `setDelimiter(java.lang.String delimiter)`
`void` | `setNumeric(boolean numeric)`
`void` | `setOrderPropertyFile(java.io.File orderPropertyFile)`
`void` | `setOrderPropertyFilePrefix(java.lang.String orderPropertyFilePrefix)`
`void` | `setRefid(org.apache.tools.ant.types.Reference ref)`
`void` | `setValue(java.lang.String value)`
`protected void` | `validate()`

Methods inherited from class net.sf.antcontrib.property.AbstractPropertySetterTask
`setOverride, setProperty, setPropertyValue`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortList

    public SortList()

Method Detail

### setNumeric

    public void setNumeric(boolean numeric)

### setValue

    public void setValue(java.lang.String value)

### setRefid

    public void setRefid(org.apache.tools.ant.types.Reference ref)

### setCasesensitive

    public void setCasesensitive(boolean casesenstive)

### setDelimiter

    public void setDelimiter(java.lang.String delimiter)

### setOrderPropertyFile

    public void setOrderPropertyFile(java.io.File orderPropertyFile)

### setOrderPropertyFilePrefix

    public void setOrderPropertyFilePrefix(java.lang.String orderPropertyFilePrefix)

### validate

    protected void validate()

  Overrides:
    `validate` in class `AbstractPropertySetterTask`

### execute

    public void execute()

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD